Skip to content
Back to top
View this page

# PRAWBase

class praw.models.base.PRAWBase(reddit: praw.Reddit, _data: Dict[str, Any] | None)

  Superclass for all models in PRAW.

  __init__(reddit: praw.Reddit, _data: Dict[str, Any] | None)

    Initialize a `PRAWBase` instance.

    Parameters:

      reddit – An instance of `Reddit`.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.